from bug.models import *
from django.test import TestCase

class BugTest(TestCase):
    def setUp(self):
        self.bob = Person(name = "Bob")
        self.bob.save()

        z1 = Zipcode()
        z1.save()
        z1p = ZipcodePerson(zipcode = z1, person = self.bob)
        z1p.save()

        z2 = Zipcode()
        z2.save()
        z2p = ZipcodePerson(zipcode = z2, person = self.bob)
        z2p.save()
    def test_bug(self):
        zipcodes = Zipcode.objects.filter(people = self.bob)
        values= zipcodes.values()
        self.assertEqual(zipcodes.values().__str__(), "[{'id': 1}, {'id': 2}]")
        self.assertEqual(zipcodes[1].id, 2) 
        self.assertEqual(zipcodes[0].id, 1)
        #this fails with zipcodes[1] equal to 2
    def test_this_works(self):
        zipcodes = Zipcode.objects.all()
        self.assertEqual(zipcodes.values().__str__(), "[{'id': 3}, {'id': 4}]")
        self.assertEqual(zipcodes[1].id, 4) 
        self.assertEqual(zipcodes[0].id, 3)
        

